image: node:18

stages:
  - check
  - deploy

check:
  stage: check
  before_script:
    - npm install
  script:
    - npm run lint

pages:
  stage: deploy
  before_script:
    - npm install
  script:
    - npm run build
  publish: out
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
  artifacts:
    paths:
      - out
  environment: production
